# $Id: releases.makefile,v 1.6 2001/06/05 18:34:32 pcharles Exp $
#
#   jpcap release targets
#

# system version
SVERSION=v0.00.04


# the 'server' release consists of everything that is needed to run jpcap
SYS_DEST = $(RELEASE_HOME)/jpcap


distribution: server_release_prep release_system


server_release_prep:
	rm -rf $(SYS_DEST)
	mkdir -p $(SYS_DEST)
	mkdir -p $(SYS_DEST)/jpcap-$(SVERSION)
	cp docs/RELEASE_NOTES $(SYS_DEST)/jpcap-$(SVERSION)/RELEASE_NOTES

release_system:
	mkdir -p $(SYS_DEST)/jpcap-$(SVERSION)
	mkdir -p $(SYS_DEST)/jpcap-$(SVERSION)/jars
	mkdir -p $(SYS_DEST)/jpcap-$(SVERSION)/lib
	cp -a $(PROJECT_HOME) $(SYS_DEST)/jpcap-$(SVERSION)
	cp $(RELEASE_HOME)/jars/all_net.sourceforge.jpcap-$(SVERSION).jar \
		$(SYS_DEST)/jpcap-$(SVERSION)/jars
	cp $(PROJECT_HOME)/src/java/net/sourceforge/jpcap/capture/libjpcap.so \
		$(SYS_DEST)/jpcap-$(SVERSION)/lib
	cp $(PROJECT_HOME)/docs/INSTALL \
		$(SYS_DEST)/jpcap-$(SVERSION)
	mkdir -p $(RELEASE_HOME)/distributions
	rm -rf $(SYS_DEST)/jpcap-$(SVERSION)/jpcap/analysis
	rm -rf $(SYS_DEST)/jpcap-$(SVERSION)/jpcap/docs/images
	rm -rf $(SYS_DEST)/jpcap-$(SVERSION)/jpcap/CVSROOT
	cd $(SYS_DEST)/jpcap-$(SVERSION) && find -name .cvsignore -exec rm -rf {} \;
	cd $(SYS_DEST)/jpcap-$(SVERSION) && rm -rf */CVS
	cd $(SYS_DEST)/jpcap-$(SVERSION) && rm -rf */*/CVS
	cd $(SYS_DEST)/jpcap-$(SVERSION) && rm -rf */*/*/CVS
	cd $(SYS_DEST)/jpcap-$(SVERSION) && rm -rf */*/*/*/CVS
	cd $(SYS_DEST)/jpcap-$(SVERSION) && rm -rf */*/*/*/*/CVS
	cd $(SYS_DEST)/jpcap-$(SVERSION) && rm -rf */*/*/*/*/*/CVS
	cd $(SYS_DEST)/jpcap-$(SVERSION) && rm -rf */*/*/*/*/*/*/CVS
	cd $(SYS_DEST)/jpcap-$(SVERSION) ; \
		ln -s jpcap/scripts/jpcaptool jpcaptool
	tar cf $(RELEASE_HOME)/distributions/jpcap-$(SVERSION).tar \
		-C $(RELEASE_HOME)/jpcap .
	gzip $(RELEASE_HOME)/distributions/jpcap-$(SVERSION).tar
	rm -rf $(RELEASE_HOME)/jpcap

# why doesn't this work?! it works ok with .cvsignore as a -name param
# and it works ok when executed directly, but not inside gmake?
#	cd $(SYS_DEST)/jpcap-$(SVERSION) && find -name CVS -exec rm -rf {} \;
